org.richfaces

## Enum TooltipLayout

- java.lang.Object
- - java.lang.Enum<TooltipLayout>
  - - org.richfaces.TooltipLayout

- All Implemented Interfaces:
    Serializable, Comparable<TooltipLayout>

      public enum TooltipLayout
      extends Enum<TooltipLayout>

  Author:
    amarkhel

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `block`
    `inline`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TooltipLayout` | `DEFAULT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TooltipLayout` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TooltipLayout[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### inline

          public static final TooltipLayout inline

    - #### block

          public static final TooltipLayout block

  - ### Field Detail

    - #### DEFAULT

          public static final TooltipLayout DEFAULT

  - ### Method Detail

    - #### values

          public static TooltipLayout[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TooltipLayout c : TooltipLayout.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TooltipLayout valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.